Bug 1413910 - Snapshot + NFS : After upgrade from 3.1.3 to 3.2 and restoring snapshot, NFS service is not running
Summary: Snapshot + NFS : After upgrade from 3.1.3 to 3.2 and restoring snapshot, NFS ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nfs
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Jiffin
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1351530
TreeView+ depends on / blocked
 
Reported: 2017-01-17 10:06 UTC by Anil Shah
Modified: 2019-07-16 04:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
From Red Hat Gluster Storage 3.2 onwards, for every volume the option nfs.disable will be explicitly set to either on or off. The snapshots which were created from 3.1.x or earlier does not have that volume option. Workaround: Execute the following command on the volumes: gluster v set nfs.disable <volname> off The restored volume will not be exported via gluster nfs.
Clone Of:
Environment:
Last Closed: 2019-07-16 04:52:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Anil Shah 2017-01-17 10:06:32 UTC
Description of problem:

After Upgrade from 3.1.3 to 3.2, and restoring snapshot which was taken in 3.1.3. After restore gluster v status shows NFS service is not running. 

Version-Release number of selected component (if applicable):

glusterfs-3.8.4-11.el7rhgs.x86_64


How reproducible:

100%

Steps to Reproduce:
1. Create 2*3 dist-repvol
2. create snapshot
3. Upgrade systems to 3.2 build and bump the op-version
4. Do snapshot restore and start the volume


Actual results:

NFS service is not running

Expected results:

NFS service should be running.

Additional info:

Comment 3 Atin Mukherjee 2017-01-17 10:21:09 UTC
Given the snap was taken in 3.1.3, nfs.disable option was not touched. Now when this snap is restored, GlusterD didn't bring up the NFS service as nfs.disable is not set to off as per the current code logic.

@Jiffin - please confirm if this hypothesis is correct.

Comment 5 Atin Mukherjee 2017-01-20 01:16:36 UTC
I think this needs to be marked as a known issue with a work around.

Comment 9 Bhavana 2017-03-13 16:03:26 UTC
Hi jiffin,

I have updated the doc text further for the release notes, let me know if this looks ok.

Comment 10 Jiffin 2017-03-14 04:57:15 UTC
Looks good to me


Note You need to log in before you can comment on or make changes to this bug.